<!DOCTYPE html>

<html>

<head>
    <% include ../partials/head %>
   
    <title> Gestion </title>

</head>
    
<body>
    
    <%include ../partials/header %>
    <%include ../partials/dropdown_nav %>
    
    <div class="container padding-top-10">
         <div class="panel panel-default">
            <div class="panel-heading">
                <h1 id="title"> Gestion d'utilisateur </h1>
            </div>
            <div class="panel-body">
         <form action="/newUser" id="registryForm" method="post">
                <label for=fname" class="control-label"> Nom: </label>
                 <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="fname" name="fname" value="<%= (usernameTarget != "") ? presetUser[0].firstName : ""; %>" placeholder="Prenom">
                    </div>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="lname" name="lname" value="<%= (usernameTarget != "") ? presetUser[0].lastName : ""; %>" placeholder="Nom de famille">
                    </div>
                 </div>
                 <label for="address" class="control-label"> Addresse: </label>
                 <div class="row">
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="address" name="address" value="<%= (usernameTarget != "") ? presetUser[0].address : ""; %>" placeholder="No, Rue">
                    </div>
                    <div class="col-md-6">
                        <input type="text" class="form-control" id="city" name="city" value="<%= (usernameTarget != "") ? presetUser[0].city : ""; %>" placeholder="Ville">
                    </div>
                 </div>
                 
                 <label for="username" class="control-label"> Nom d'utilisateur: </label>
                 <input type="text" class="form-control" id="username" value="<%= (usernameTarget != "") ? presetUser[0].username : ""; %>" name="username">
                 
                 <% if(usernameTarget == "") { %>
                 <label for="password" class="control-label"> Mot de passe: </label>
                 <input type="text" class="form-control" id="password" name="password">
                 
                 <% } %>
                 
                 <label for="type" class="control-label"> Type de compte: </label>
                 <select name="type" id="type" class="form-control">
                    <option> Administrateur </option>
                    <option> Utilisateur </option>
                    <option> Invité </option>
                 </select>
                 <br>
                 <label class="control-label"> Liste de cours: </label><br>
                 <% for(var i = 0; i < classes.length; i++) { %>
                    
                    <% if(usernameTarget == "") { %>
                    <input type="checkbox" name="<%= "classID" %>" value="<%= classes[i].ID.toString() %>"> <%= classes[i].className %> <br>
                    <%} else { %>
                    <input type="checkbox" name="<%= "classID" %>" value="<%= classes[i].ID.toString() %>" <%= (presetUser[0].classes.indexOf(classes[i].ID.toString()) != -1) ? "checked" : "" %>> <%= classes[i].className %> <br>
                    <% } %>
                 <% } %>
                   <% if(errorCode == 2) {%>
                    <p class="padding-top-10 errorMsg"> Le nom d'utilisateur est déjà utilisé. Veuillez en choisir un autre. </p>
                  <% } %>
                 <br/>
                 <button value="Soumettre" onclick="buildlist('classID');"> Soumettre </button>
                 
                 <input type="text" name="classeList" id="classesList" class="invisibleInput">
                </form>
            </div>
         <div>
    </div>
    </div>
         
    <%include ../partials/footer %>
    <%include ../partials/libs %>
</body>

</html>